if (!this.CHMOD) {
    CHMOD = {};
}
CHMOD.RomanClock = (function () {
    var hourLabel, minuteLabel, intervalID,
        updateInterval = 5, // number of seconds between updates
        oneVals = ["", "I", "II", "III", "IV", "V", "VI", "VII", "VIII", "IX"],
        tenVals = ["", "X", "XX", "XXX", "XL", "L", "LX", "LXX", "LXXX", "XC"],

        getRoman = function (position, digit) {
            return (position === 1) ? oneVals[digit] : tenVals[digit];
        },

        convertNumberToRoman = function (num) {
            var numString = num.toString(),
                i = numString.length - 1, 
                romanString = "";
            ////////
            while (i >= 0) {
                romanString = getRoman((numString.length - i), numString.charAt(i)) + romanString;
                i = i - 1;
            }
            return romanString;
        },

        updateClock = function () {
            var now = new Date(),
                theMins = now.getMinutes(),
                theHour = now.getHours();
            theHour = (theHour === 0) ? 12 : (theHour > 12) ? theHour - 12 : theHour;
            hourLabel.text(convertNumberToRoman(theHour)).attr('title', theHour);
            minuteLabel.text(convertNumberToRoman(theMins)).attr('title', theMins);
        };

    return {
        init:  function () {
            hourLabel = jQuery('#romanClock_hourString');
            minuteLabel = jQuery('#romanClock_minuteString');  
            updateClock();
            intervalID = window.setInterval(updateClock, 1000 * updateInterval);
            jQuery('#romanClock_clockWrapper').mousedown(function () {
                if  (window.nativeWindow) {
                    nativeWindow.startMove();
                }
            });
        }
    };

}());
